function drawPointWebgl() {
    var VSHADER_SOURCE =
        "attribute vec4 a_Position;" +
        "void main() {" +
        //设置坐标
        "gl_Position = a_Position; " +
        "gl_PointSize = 5.0;" +
        "} ";
    //片元着色器
    var FSHADER_SOURCE =
        "void main() {" +
        //设置颜色
        "gl_FragColor = vec4(0.5, 0.5, 0.5, 1.0);" +
        "}";//获取canvas元素
    var gl = wx.__first__canvas.getContext('webgl');
    //编译着色器
    var vertShader = gl.createShader(gl.VERTEX_SHADER);
    gl.shaderSource(vertShader, VSHADER_SOURCE);
    gl.compileShader(vertShader);
    var fragShader = gl.createShader(gl.FRAGMENT_SHADER);
    gl.shaderSource(fragShader, FSHADER_SOURCE);
    gl.compileShader(fragShader);
    //合并程序
    var shaderProgram = gl.createProgram();
    gl.attachShader(shaderProgram, vertShader);
    gl.attachShader(shaderProgram, fragShader);
    gl.linkProgram(shaderProgram);
    gl.useProgram(shaderProgram);
    gl.drawArrays(gl.POINTS, 0, 1);
}

function drawPoint2D() {
    var gl = wx.__first__canvas.getContext('2d');

    gl.fillStyle = '#1aad19';
    gl.fillRect(0, 0, 1, 1);
}

exports.drawPoint = drawPoint2D;